<?php
error_reporting(E_ALL);
error_reporting(-1);
ini_set('error_reporting', E_ALL);
require_once "conexion.php";

class ModeloPesoEnvio 
{
    // public static function mdlGetCostosEnvio($peso) {
    //     $conn= new Conexion();
    //     $db = $conn->get_connection();
    //     $sql = "SELECT * FROM peso_envio WHERE :peso >= peso_minimo AND :peso <= peso_maximo";
    //     $stmt = $db->prepare($sql);
        
    //     $stmt->bindParam(":peso", $peso);
        
    //     $stmt->execute();

    //     $response = ($stmt->rowCount() > 0) ? $stmt->fetch(PDO::FETCH_ASSOC) : false;

    //     $db = null;
        
    //     return $response;
    // }

    public static function mdlGetCostosEnvio($peso) {
        $conn= new Conexion();
        $db = $conn->get_connection();
        $sql = "SELECT * FROM peso_envio WHERE :peso >= peso_minimo AND :peso <= peso_maximo";

        $stmt = $db->prepare($sql);
        
        $stmt->bindParam(":peso", $peso);
        
        $stmt->execute();
    
        $response = ($stmt->rowCount() > 0) ? $stmt->fetch(PDO::FETCH_ASSOC) : false;
    
        $db = null;
        
        return $response;
    }
}